Skip to main content
`Ctrl`+`K`

# NEPMonitorAllDrawLG

Plots the error estimate of all unconverged approximations at each iteration of the nonlinear eigensolver.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPMonitorAllDrawLG(NEP nep,PetscInt its,PetscInt nconv,PetscScalar eigr[],PetscScalar eigi[],PetscReal errest[],PetscInt nest,PetscViewerAndFormat *vf)

Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- its - iteration number

- nconv - number of converged eigenpairs so far

- eigr - real part of the eigenvalues

- eigi - imaginary part of the eigenvalues

- errest - error estimates

- nest - number of error estimates to display

- vf - viewer and format for monitoring

## Options Database Key

- -nep_monitor_all draw::draw_lg - activates `NEPMonitorAllDrawLG()`

## Notes

This is not called directly by users, rather one calls `NEPMonitorSet()`, with this function as an argument, to cause the monitor to be used during the `NEP` solve.

Call `NEPMonitorAllDrawLGCreate()` to create the context used with this monitor.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPMonitorSet()`, `NEPMonitorAllDrawLGCreate()`

## Level

intermediate

## Location

src/nep/interface/nepmon.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages